Mengatasi Error Joomla 1.5.x di PHP 5.3.x

Home » General News » Mengatasi Error Joomla 1.5.x di PHP 5.3.x
General News No Comments

Apabila anda mengalami error pada cms joomla home anda dengan keterangan :

“Warning: Parameter 1 to modSlideMenuHelper::buildSlideXML() expected to be a reference, value given in /home/***/public_html/libraries/joomla/cache/handler/callback.php on line 99”

jangan khawatir kemungkinan terjadi adalah joomla yang anda gunakan tidak support dgn PHP terbaru dalam hal ini PHP 5.3.x solusi yang bisa anda gunakan adalah :

silahkan anda login ke cpanel anda dan masuk ke menu file manager lalu temukan file berikut /home/***/public_html/modules/mod_mainmenu/helper.php dan gunakan code edit untuk merubah code “&$params” dengan “$params” contohnya pada code berikut : function_BuildXML(&$params) rubah menjadi function_BuildXML($params) silahkan coba kembali apabila error masih terjadi silahkan geser ke bawah dan temukan &$params lainnya dan ganti menjadi $params

mudah-mudahan bisa membantu 🙂